<?php
class Produit extends BaseModel {
    public static $tableName='produit';
    public function __construct(){
        
    }


    public static function ajouter()
    {
        global $BD;   
        
        $getid = $BD->query("SELECT max(id) as idcat FROM produit");
        if ($getid->rowCount() == 0) {
            $id=1;
        }
        else{
            $getiid = $getid->fetch();
            $id=$getiid["idcat"]+1;
        }

        $insert = $BD->prepare("INSERT INTO `produit`(id,`titre`, `description`) VALUES 
        (?,?,?)");
        $insert->execute(array($id,$_REQUEST['titre'],$_REQUEST['description']));
        header("Location: ../produit");
    }
    
    public static function modifier()
    {
        global $BD;
        $id = $_REQUEST['id'];        
        
        $insert = $BD->prepare("UPDATE `produit` SET `titre`=?,`description`=? WHERE id=?");
        $insert->execute(array($_REQUEST['titre'],$_REQUEST['description'],$id));
        header("Location: ../produit");
        
    }

    public static function supprimer()
    {
        global $BD;

        $BD->query("DELETE FROM produit WHERE id IN (".$_REQUEST["id"].")");

		header("Location: ../produit");
    }

}